中危 avahi avahi-daemon 0.6.23 originates_from_local_legacy_unicast_socket 拒绝服务漏洞

CVE编号

CVE-2009-0758

利用情况

暂无

补丁情况

官方补丁

披露时间

2009-03-04 05:30:00
漏洞描述
Avahi-daemon 0.6.23中Avahi-core/server.c中的 originates_from_local_legacy_unicast_socket 函数在处理incoming multicast 数据包时不考虑端口号的网络字节顺序,这允许远程攻击者通过精心编制的触发multicast packet storm的legacy unicast mDNS query数据包导致拒绝服务(网络带宽和CPU消耗)。 

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 avahi avahi-daemon 0.6.23 -
运行在以下环境
系统 centos_5 avahi * Up to
(excluding)
0.6.16-9.el5_5
运行在以下环境
系统 debian_5.0 avahi * Up to
(excluding)
0.6.23-3lenny2
运行在以下环境
系统 oracle_5 avahi * Up to
(excluding)
0.6.16-9.el5_5
阿里云评分
6.9
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-399 资源管理错误
阿里云安全产品覆盖情况